#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private ABCF123BollingerBand[] cacheABCF123BollingerBand;
		private ABCF123CCI[] cacheABCF123CCI;
		private ABCF123EMA[] cacheABCF123EMA;
		private ABCF123FibRetrace[] cacheABCF123FibRetrace;
		private ABCF123HorizonalLine[] cacheABCF123HorizonalLine;
		private ABCF123Rollover[] cacheABCF123Rollover;
		private ABCF123SMA[] cacheABCF123SMA;
		private ABCF123StdDev[] cacheABCF123StdDev;
		private ABCF123TimeBand[] cacheABCF123TimeBand;
		private ABCF123TradePoint[] cacheABCF123TradePoint;
		private ABCF123VolumeProfile[] cacheABCF123VolumeProfile;

		
		public ABCF123BollingerBand ABCF123BollingerBand(double numStdDev, int period)
		{
			return ABCF123BollingerBand(Input, numStdDev, period);
		}

		public ABCF123CCI ABCF123CCI(int period)
		{
			return ABCF123CCI(Input, period);
		}

		public ABCF123EMA ABCF123EMA(int period)
		{
			return ABCF123EMA(Input, period);
		}

		public ABCF123FibRetrace ABCF123FibRetrace(bool useColorBars, bool showArrows, Brush fibuUpColor, Brush fibDownColor, int lineWidth, NinjaTrader.NinjaScript.Indicators.eRetraceType eRetraceTypeSelected)
		{
			return ABCF123FibRetrace(Input, useColorBars, showArrows, fibuUpColor, fibDownColor, lineWidth, eRetraceTypeSelected);
		}

		public ABCF123HorizonalLine ABCF123HorizonalLine()
		{
			return ABCF123HorizonalLine(Input);
		}

		public ABCF123Rollover ABCF123Rollover(bool hideUntilRoll, bool prompt, Stroke rollMarkerStroke, bool onToolbar)
		{
			return ABCF123Rollover(Input, hideUntilRoll, prompt, rollMarkerStroke, onToolbar);
		}

		public ABCF123SMA ABCF123SMA(int period)
		{
			return ABCF123SMA(Input, period);
		}

		public ABCF123StdDev ABCF123StdDev(int period)
		{
			return ABCF123StdDev(Input, period);
		}

		public ABCF123TimeBand ABCF123TimeBand(DashStyleHelper upperLineLineStyle, DashStyleHelper lowerLineLineStyle)
		{
			return ABCF123TimeBand(Input, upperLineLineStyle, lowerLineLineStyle);
		}

		public ABCF123TradePoint ABCF123TradePoint()
		{
			return ABCF123TradePoint(Input);
		}

		public ABCF123VolumeProfile ABCF123VolumeProfile(int eLineTransparency, int eTextDecimals, int eTextPosition, int eLineHeight, bool inclWeekendVol, TimeSpan openTime, double pctOfVolumeInVA, int presentMethod, int previousSessions, _dValueEnums.dValueAreaTypes profileType, int screenMapType, int screenPercent, int screenPosition, double sessionLengthHours, bool showDailyPlots, int showEvolvingPOCs, bool showRtPOC, int slotMinHeight, int slotTransparency, int totalSlots, bool useSessTemplate, int vACalcType, bool zOrderPutBehind)
		{
			return ABCF123VolumeProfile(Input, eLineTransparency, eTextDecimals, eTextPosition, eLineHeight, inclWeekendVol, openTime, pctOfVolumeInVA, presentMethod, previousSessions, profileType, screenMapType, screenPercent, screenPosition, sessionLengthHours, showDailyPlots, showEvolvingPOCs, showRtPOC, slotMinHeight, slotTransparency, totalSlots, useSessTemplate, vACalcType, zOrderPutBehind);
		}


		
		public ABCF123BollingerBand ABCF123BollingerBand(ISeries<double> input, double numStdDev, int period)
		{
			if (cacheABCF123BollingerBand != null)
				for (int idx = 0; idx < cacheABCF123BollingerBand.Length; idx++)
					if (cacheABCF123BollingerBand[idx].NumStdDev == numStdDev && cacheABCF123BollingerBand[idx].Period == period && cacheABCF123BollingerBand[idx].EqualsInput(input))
						return cacheABCF123BollingerBand[idx];
			return CacheIndicator<ABCF123BollingerBand>(new ABCF123BollingerBand(){ NumStdDev = numStdDev, Period = period }, input, ref cacheABCF123BollingerBand);
		}

		public ABCF123CCI ABCF123CCI(ISeries<double> input, int period)
		{
			if (cacheABCF123CCI != null)
				for (int idx = 0; idx < cacheABCF123CCI.Length; idx++)
					if (cacheABCF123CCI[idx].Period == period && cacheABCF123CCI[idx].EqualsInput(input))
						return cacheABCF123CCI[idx];
			return CacheIndicator<ABCF123CCI>(new ABCF123CCI(){ Period = period }, input, ref cacheABCF123CCI);
		}

		public ABCF123EMA ABCF123EMA(ISeries<double> input, int period)
		{
			if (cacheABCF123EMA != null)
				for (int idx = 0; idx < cacheABCF123EMA.Length; idx++)
					if (cacheABCF123EMA[idx].Period == period && cacheABCF123EMA[idx].EqualsInput(input))
						return cacheABCF123EMA[idx];
			return CacheIndicator<ABCF123EMA>(new ABCF123EMA(){ Period = period }, input, ref cacheABCF123EMA);
		}

		public ABCF123FibRetrace ABCF123FibRetrace(ISeries<double> input, bool useColorBars, bool showArrows, Brush fibuUpColor, Brush fibDownColor, int lineWidth, NinjaTrader.NinjaScript.Indicators.eRetraceType eRetraceTypeSelected)
		{
			if (cacheABCF123FibRetrace != null)
				for (int idx = 0; idx < cacheABCF123FibRetrace.Length; idx++)
					if (cacheABCF123FibRetrace[idx].UseColorBars == useColorBars && cacheABCF123FibRetrace[idx].ShowArrows == showArrows && cacheABCF123FibRetrace[idx].FibuUpColor == fibuUpColor && cacheABCF123FibRetrace[idx].FibDownColor == fibDownColor && cacheABCF123FibRetrace[idx].LineWidth == lineWidth && cacheABCF123FibRetrace[idx].eRetraceTypeSelected == eRetraceTypeSelected && cacheABCF123FibRetrace[idx].EqualsInput(input))
						return cacheABCF123FibRetrace[idx];
			return CacheIndicator<ABCF123FibRetrace>(new ABCF123FibRetrace(){ UseColorBars = useColorBars, ShowArrows = showArrows, FibuUpColor = fibuUpColor, FibDownColor = fibDownColor, LineWidth = lineWidth, eRetraceTypeSelected = eRetraceTypeSelected }, input, ref cacheABCF123FibRetrace);
		}

		public ABCF123HorizonalLine ABCF123HorizonalLine(ISeries<double> input)
		{
			if (cacheABCF123HorizonalLine != null)
				for (int idx = 0; idx < cacheABCF123HorizonalLine.Length; idx++)
					if ( cacheABCF123HorizonalLine[idx].EqualsInput(input))
						return cacheABCF123HorizonalLine[idx];
			return CacheIndicator<ABCF123HorizonalLine>(new ABCF123HorizonalLine(), input, ref cacheABCF123HorizonalLine);
		}

		public ABCF123Rollover ABCF123Rollover(ISeries<double> input, bool hideUntilRoll, bool prompt, Stroke rollMarkerStroke, bool onToolbar)
		{
			if (cacheABCF123Rollover != null)
				for (int idx = 0; idx < cacheABCF123Rollover.Length; idx++)
					if (cacheABCF123Rollover[idx].HideUntilRoll == hideUntilRoll && cacheABCF123Rollover[idx].Prompt == prompt && cacheABCF123Rollover[idx].RollMarkerStroke == rollMarkerStroke && cacheABCF123Rollover[idx].OnToolbar == onToolbar && cacheABCF123Rollover[idx].EqualsInput(input))
						return cacheABCF123Rollover[idx];
			return CacheIndicator<ABCF123Rollover>(new ABCF123Rollover(){ HideUntilRoll = hideUntilRoll, Prompt = prompt, RollMarkerStroke = rollMarkerStroke, OnToolbar = onToolbar }, input, ref cacheABCF123Rollover);
		}

		public ABCF123SMA ABCF123SMA(ISeries<double> input, int period)
		{
			if (cacheABCF123SMA != null)
				for (int idx = 0; idx < cacheABCF123SMA.Length; idx++)
					if (cacheABCF123SMA[idx].Period == period && cacheABCF123SMA[idx].EqualsInput(input))
						return cacheABCF123SMA[idx];
			return CacheIndicator<ABCF123SMA>(new ABCF123SMA(){ Period = period }, input, ref cacheABCF123SMA);
		}

		public ABCF123StdDev ABCF123StdDev(ISeries<double> input, int period)
		{
			if (cacheABCF123StdDev != null)
				for (int idx = 0; idx < cacheABCF123StdDev.Length; idx++)
					if (cacheABCF123StdDev[idx].Period == period && cacheABCF123StdDev[idx].EqualsInput(input))
						return cacheABCF123StdDev[idx];
			return CacheIndicator<ABCF123StdDev>(new ABCF123StdDev(){ Period = period }, input, ref cacheABCF123StdDev);
		}

		public ABCF123TimeBand ABCF123TimeBand(ISeries<double> input, DashStyleHelper upperLineLineStyle, DashStyleHelper lowerLineLineStyle)
		{
			if (cacheABCF123TimeBand != null)
				for (int idx = 0; idx < cacheABCF123TimeBand.Length; idx++)
					if (cacheABCF123TimeBand[idx].UpperLineLineStyle == upperLineLineStyle && cacheABCF123TimeBand[idx].LowerLineLineStyle == lowerLineLineStyle && cacheABCF123TimeBand[idx].EqualsInput(input))
						return cacheABCF123TimeBand[idx];
			return CacheIndicator<ABCF123TimeBand>(new ABCF123TimeBand(){ UpperLineLineStyle = upperLineLineStyle, LowerLineLineStyle = lowerLineLineStyle }, input, ref cacheABCF123TimeBand);
		}

		public ABCF123TradePoint ABCF123TradePoint(ISeries<double> input)
		{
			if (cacheABCF123TradePoint != null)
				for (int idx = 0; idx < cacheABCF123TradePoint.Length; idx++)
					if ( cacheABCF123TradePoint[idx].EqualsInput(input))
						return cacheABCF123TradePoint[idx];
			return CacheIndicator<ABCF123TradePoint>(new ABCF123TradePoint(), input, ref cacheABCF123TradePoint);
		}

		public ABCF123VolumeProfile ABCF123VolumeProfile(ISeries<double> input, int eLineTransparency, int eTextDecimals, int eTextPosition, int eLineHeight, bool inclWeekendVol, TimeSpan openTime, double pctOfVolumeInVA, int presentMethod, int previousSessions, _dValueEnums.dValueAreaTypes profileType, int screenMapType, int screenPercent, int screenPosition, double sessionLengthHours, bool showDailyPlots, int showEvolvingPOCs, bool showRtPOC, int slotMinHeight, int slotTransparency, int totalSlots, bool useSessTemplate, int vACalcType, bool zOrderPutBehind)
		{
			if (cacheABCF123VolumeProfile != null)
				for (int idx = 0; idx < cacheABCF123VolumeProfile.Length; idx++)
					if (cacheABCF123VolumeProfile[idx].ELineTransparency == eLineTransparency && cacheABCF123VolumeProfile[idx].ETextDecimals == eTextDecimals && cacheABCF123VolumeProfile[idx].ETextPosition == eTextPosition && cacheABCF123VolumeProfile[idx].ELineHeight == eLineHeight && cacheABCF123VolumeProfile[idx].InclWeekendVol == inclWeekendVol && cacheABCF123VolumeProfile[idx].OpenTime == openTime && cacheABCF123VolumeProfile[idx].PctOfVolumeInVA == pctOfVolumeInVA && cacheABCF123VolumeProfile[idx].PresentMethod == presentMethod && cacheABCF123VolumeProfile[idx].PreviousSessions == previousSessions && cacheABCF123VolumeProfile[idx].ProfileType == profileType && cacheABCF123VolumeProfile[idx].ScreenMapType == screenMapType && cacheABCF123VolumeProfile[idx].ScreenPercent == screenPercent && cacheABCF123VolumeProfile[idx].ScreenPosition == screenPosition && cacheABCF123VolumeProfile[idx].SessionLengthHours == sessionLengthHours && cacheABCF123VolumeProfile[idx].ShowDailyPlots == showDailyPlots && cacheABCF123VolumeProfile[idx].ShowEvolvingPOCs == showEvolvingPOCs && cacheABCF123VolumeProfile[idx].ShowRtPOC == showRtPOC && cacheABCF123VolumeProfile[idx].SlotMinHeight == slotMinHeight && cacheABCF123VolumeProfile[idx].SlotTransparency == slotTransparency && cacheABCF123VolumeProfile[idx].TotalSlots == totalSlots && cacheABCF123VolumeProfile[idx].UseSessTemplate == useSessTemplate && cacheABCF123VolumeProfile[idx].VACalcType == vACalcType && cacheABCF123VolumeProfile[idx].ZOrderPutBehind == zOrderPutBehind && cacheABCF123VolumeProfile[idx].EqualsInput(input))
						return cacheABCF123VolumeProfile[idx];
			return CacheIndicator<ABCF123VolumeProfile>(new ABCF123VolumeProfile(){ ELineTransparency = eLineTransparency, ETextDecimals = eTextDecimals, ETextPosition = eTextPosition, ELineHeight = eLineHeight, InclWeekendVol = inclWeekendVol, OpenTime = openTime, PctOfVolumeInVA = pctOfVolumeInVA, PresentMethod = presentMethod, PreviousSessions = previousSessions, ProfileType = profileType, ScreenMapType = screenMapType, ScreenPercent = screenPercent, ScreenPosition = screenPosition, SessionLengthHours = sessionLengthHours, ShowDailyPlots = showDailyPlots, ShowEvolvingPOCs = showEvolvingPOCs, ShowRtPOC = showRtPOC, SlotMinHeight = slotMinHeight, SlotTransparency = slotTransparency, TotalSlots = totalSlots, UseSessTemplate = useSessTemplate, VACalcType = vACalcType, ZOrderPutBehind = zOrderPutBehind }, input, ref cacheABCF123VolumeProfile);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.ABCF123BollingerBand ABCF123BollingerBand(double numStdDev, int period)
		{
			return indicator.ABCF123BollingerBand(Input, numStdDev, period);
		}

		public Indicators.ABCF123CCI ABCF123CCI(int period)
		{
			return indicator.ABCF123CCI(Input, period);
		}

		public Indicators.ABCF123EMA ABCF123EMA(int period)
		{
			return indicator.ABCF123EMA(Input, period);
		}

		public Indicators.ABCF123FibRetrace ABCF123FibRetrace(bool useColorBars, bool showArrows, Brush fibuUpColor, Brush fibDownColor, int lineWidth, NinjaTrader.NinjaScript.Indicators.eRetraceType eRetraceTypeSelected)
		{
			return indicator.ABCF123FibRetrace(Input, useColorBars, showArrows, fibuUpColor, fibDownColor, lineWidth, eRetraceTypeSelected);
		}

		public Indicators.ABCF123HorizonalLine ABCF123HorizonalLine()
		{
			return indicator.ABCF123HorizonalLine(Input);
		}

		public Indicators.ABCF123Rollover ABCF123Rollover(bool hideUntilRoll, bool prompt, Stroke rollMarkerStroke, bool onToolbar)
		{
			return indicator.ABCF123Rollover(Input, hideUntilRoll, prompt, rollMarkerStroke, onToolbar);
		}

		public Indicators.ABCF123SMA ABCF123SMA(int period)
		{
			return indicator.ABCF123SMA(Input, period);
		}

		public Indicators.ABCF123StdDev ABCF123StdDev(int period)
		{
			return indicator.ABCF123StdDev(Input, period);
		}

		public Indicators.ABCF123TimeBand ABCF123TimeBand(DashStyleHelper upperLineLineStyle, DashStyleHelper lowerLineLineStyle)
		{
			return indicator.ABCF123TimeBand(Input, upperLineLineStyle, lowerLineLineStyle);
		}

		public Indicators.ABCF123TradePoint ABCF123TradePoint()
		{
			return indicator.ABCF123TradePoint(Input);
		}

		public Indicators.ABCF123VolumeProfile ABCF123VolumeProfile(int eLineTransparency, int eTextDecimals, int eTextPosition, int eLineHeight, bool inclWeekendVol, TimeSpan openTime, double pctOfVolumeInVA, int presentMethod, int previousSessions, _dValueEnums.dValueAreaTypes profileType, int screenMapType, int screenPercent, int screenPosition, double sessionLengthHours, bool showDailyPlots, int showEvolvingPOCs, bool showRtPOC, int slotMinHeight, int slotTransparency, int totalSlots, bool useSessTemplate, int vACalcType, bool zOrderPutBehind)
		{
			return indicator.ABCF123VolumeProfile(Input, eLineTransparency, eTextDecimals, eTextPosition, eLineHeight, inclWeekendVol, openTime, pctOfVolumeInVA, presentMethod, previousSessions, profileType, screenMapType, screenPercent, screenPosition, sessionLengthHours, showDailyPlots, showEvolvingPOCs, showRtPOC, slotMinHeight, slotTransparency, totalSlots, useSessTemplate, vACalcType, zOrderPutBehind);
		}


		
		public Indicators.ABCF123BollingerBand ABCF123BollingerBand(ISeries<double> input , double numStdDev, int period)
		{
			return indicator.ABCF123BollingerBand(input, numStdDev, period);
		}

		public Indicators.ABCF123CCI ABCF123CCI(ISeries<double> input , int period)
		{
			return indicator.ABCF123CCI(input, period);
		}

		public Indicators.ABCF123EMA ABCF123EMA(ISeries<double> input , int period)
		{
			return indicator.ABCF123EMA(input, period);
		}

		public Indicators.ABCF123FibRetrace ABCF123FibRetrace(ISeries<double> input , bool useColorBars, bool showArrows, Brush fibuUpColor, Brush fibDownColor, int lineWidth, NinjaTrader.NinjaScript.Indicators.eRetraceType eRetraceTypeSelected)
		{
			return indicator.ABCF123FibRetrace(input, useColorBars, showArrows, fibuUpColor, fibDownColor, lineWidth, eRetraceTypeSelected);
		}

		public Indicators.ABCF123HorizonalLine ABCF123HorizonalLine(ISeries<double> input )
		{
			return indicator.ABCF123HorizonalLine(input);
		}

		public Indicators.ABCF123Rollover ABCF123Rollover(ISeries<double> input , bool hideUntilRoll, bool prompt, Stroke rollMarkerStroke, bool onToolbar)
		{
			return indicator.ABCF123Rollover(input, hideUntilRoll, prompt, rollMarkerStroke, onToolbar);
		}

		public Indicators.ABCF123SMA ABCF123SMA(ISeries<double> input , int period)
		{
			return indicator.ABCF123SMA(input, period);
		}

		public Indicators.ABCF123StdDev ABCF123StdDev(ISeries<double> input , int period)
		{
			return indicator.ABCF123StdDev(input, period);
		}

		public Indicators.ABCF123TimeBand ABCF123TimeBand(ISeries<double> input , DashStyleHelper upperLineLineStyle, DashStyleHelper lowerLineLineStyle)
		{
			return indicator.ABCF123TimeBand(input, upperLineLineStyle, lowerLineLineStyle);
		}

		public Indicators.ABCF123TradePoint ABCF123TradePoint(ISeries<double> input )
		{
			return indicator.ABCF123TradePoint(input);
		}

		public Indicators.ABCF123VolumeProfile ABCF123VolumeProfile(ISeries<double> input , int eLineTransparency, int eTextDecimals, int eTextPosition, int eLineHeight, bool inclWeekendVol, TimeSpan openTime, double pctOfVolumeInVA, int presentMethod, int previousSessions, _dValueEnums.dValueAreaTypes profileType, int screenMapType, int screenPercent, int screenPosition, double sessionLengthHours, bool showDailyPlots, int showEvolvingPOCs, bool showRtPOC, int slotMinHeight, int slotTransparency, int totalSlots, bool useSessTemplate, int vACalcType, bool zOrderPutBehind)
		{
			return indicator.ABCF123VolumeProfile(input, eLineTransparency, eTextDecimals, eTextPosition, eLineHeight, inclWeekendVol, openTime, pctOfVolumeInVA, presentMethod, previousSessions, profileType, screenMapType, screenPercent, screenPosition, sessionLengthHours, showDailyPlots, showEvolvingPOCs, showRtPOC, slotMinHeight, slotTransparency, totalSlots, useSessTemplate, vACalcType, zOrderPutBehind);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.ABCF123BollingerBand ABCF123BollingerBand(double numStdDev, int period)
		{
			return indicator.ABCF123BollingerBand(Input, numStdDev, period);
		}

		public Indicators.ABCF123CCI ABCF123CCI(int period)
		{
			return indicator.ABCF123CCI(Input, period);
		}

		public Indicators.ABCF123EMA ABCF123EMA(int period)
		{
			return indicator.ABCF123EMA(Input, period);
		}

		public Indicators.ABCF123FibRetrace ABCF123FibRetrace(bool useColorBars, bool showArrows, Brush fibuUpColor, Brush fibDownColor, int lineWidth, NinjaTrader.NinjaScript.Indicators.eRetraceType eRetraceTypeSelected)
		{
			return indicator.ABCF123FibRetrace(Input, useColorBars, showArrows, fibuUpColor, fibDownColor, lineWidth, eRetraceTypeSelected);
		}

		public Indicators.ABCF123HorizonalLine ABCF123HorizonalLine()
		{
			return indicator.ABCF123HorizonalLine(Input);
		}

		public Indicators.ABCF123Rollover ABCF123Rollover(bool hideUntilRoll, bool prompt, Stroke rollMarkerStroke, bool onToolbar)
		{
			return indicator.ABCF123Rollover(Input, hideUntilRoll, prompt, rollMarkerStroke, onToolbar);
		}

		public Indicators.ABCF123SMA ABCF123SMA(int period)
		{
			return indicator.ABCF123SMA(Input, period);
		}

		public Indicators.ABCF123StdDev ABCF123StdDev(int period)
		{
			return indicator.ABCF123StdDev(Input, period);
		}

		public Indicators.ABCF123TimeBand ABCF123TimeBand(DashStyleHelper upperLineLineStyle, DashStyleHelper lowerLineLineStyle)
		{
			return indicator.ABCF123TimeBand(Input, upperLineLineStyle, lowerLineLineStyle);
		}

		public Indicators.ABCF123TradePoint ABCF123TradePoint()
		{
			return indicator.ABCF123TradePoint(Input);
		}

		public Indicators.ABCF123VolumeProfile ABCF123VolumeProfile(int eLineTransparency, int eTextDecimals, int eTextPosition, int eLineHeight, bool inclWeekendVol, TimeSpan openTime, double pctOfVolumeInVA, int presentMethod, int previousSessions, _dValueEnums.dValueAreaTypes profileType, int screenMapType, int screenPercent, int screenPosition, double sessionLengthHours, bool showDailyPlots, int showEvolvingPOCs, bool showRtPOC, int slotMinHeight, int slotTransparency, int totalSlots, bool useSessTemplate, int vACalcType, bool zOrderPutBehind)
		{
			return indicator.ABCF123VolumeProfile(Input, eLineTransparency, eTextDecimals, eTextPosition, eLineHeight, inclWeekendVol, openTime, pctOfVolumeInVA, presentMethod, previousSessions, profileType, screenMapType, screenPercent, screenPosition, sessionLengthHours, showDailyPlots, showEvolvingPOCs, showRtPOC, slotMinHeight, slotTransparency, totalSlots, useSessTemplate, vACalcType, zOrderPutBehind);
		}


		
		public Indicators.ABCF123BollingerBand ABCF123BollingerBand(ISeries<double> input , double numStdDev, int period)
		{
			return indicator.ABCF123BollingerBand(input, numStdDev, period);
		}

		public Indicators.ABCF123CCI ABCF123CCI(ISeries<double> input , int period)
		{
			return indicator.ABCF123CCI(input, period);
		}

		public Indicators.ABCF123EMA ABCF123EMA(ISeries<double> input , int period)
		{
			return indicator.ABCF123EMA(input, period);
		}

		public Indicators.ABCF123FibRetrace ABCF123FibRetrace(ISeries<double> input , bool useColorBars, bool showArrows, Brush fibuUpColor, Brush fibDownColor, int lineWidth, NinjaTrader.NinjaScript.Indicators.eRetraceType eRetraceTypeSelected)
		{
			return indicator.ABCF123FibRetrace(input, useColorBars, showArrows, fibuUpColor, fibDownColor, lineWidth, eRetraceTypeSelected);
		}

		public Indicators.ABCF123HorizonalLine ABCF123HorizonalLine(ISeries<double> input )
		{
			return indicator.ABCF123HorizonalLine(input);
		}

		public Indicators.ABCF123Rollover ABCF123Rollover(ISeries<double> input , bool hideUntilRoll, bool prompt, Stroke rollMarkerStroke, bool onToolbar)
		{
			return indicator.ABCF123Rollover(input, hideUntilRoll, prompt, rollMarkerStroke, onToolbar);
		}

		public Indicators.ABCF123SMA ABCF123SMA(ISeries<double> input , int period)
		{
			return indicator.ABCF123SMA(input, period);
		}

		public Indicators.ABCF123StdDev ABCF123StdDev(ISeries<double> input , int period)
		{
			return indicator.ABCF123StdDev(input, period);
		}

		public Indicators.ABCF123TimeBand ABCF123TimeBand(ISeries<double> input , DashStyleHelper upperLineLineStyle, DashStyleHelper lowerLineLineStyle)
		{
			return indicator.ABCF123TimeBand(input, upperLineLineStyle, lowerLineLineStyle);
		}

		public Indicators.ABCF123TradePoint ABCF123TradePoint(ISeries<double> input )
		{
			return indicator.ABCF123TradePoint(input);
		}

		public Indicators.ABCF123VolumeProfile ABCF123VolumeProfile(ISeries<double> input , int eLineTransparency, int eTextDecimals, int eTextPosition, int eLineHeight, bool inclWeekendVol, TimeSpan openTime, double pctOfVolumeInVA, int presentMethod, int previousSessions, _dValueEnums.dValueAreaTypes profileType, int screenMapType, int screenPercent, int screenPosition, double sessionLengthHours, bool showDailyPlots, int showEvolvingPOCs, bool showRtPOC, int slotMinHeight, int slotTransparency, int totalSlots, bool useSessTemplate, int vACalcType, bool zOrderPutBehind)
		{
			return indicator.ABCF123VolumeProfile(input, eLineTransparency, eTextDecimals, eTextPosition, eLineHeight, inclWeekendVol, openTime, pctOfVolumeInVA, presentMethod, previousSessions, profileType, screenMapType, screenPercent, screenPosition, sessionLengthHours, showDailyPlots, showEvolvingPOCs, showRtPOC, slotMinHeight, slotTransparency, totalSlots, useSessTemplate, vACalcType, zOrderPutBehind);
		}

	}
}

#endregion
